import pygame
import data

UP = 1
LEFT = 2
DOWN = 3
RIGHT = 4

class bullet(pygame.sprite.Sprite):
    def __init__(self, pos, dir, camerax, group):
        pygame.sprite.Sprite.__init__(self)
        self.image = data.loadimage('bullet')
        self.rect = self.image.get_rect()
        self.rect.left = pos[0] - camerax
        self.rect.top = pos[1]
        self.pos = self.image.get_rect()
        self.pos.left = pos[0]
        self.pos.top = pos[1]
        self.group = group
        self.group.add(self)
        self.direction = dir
        self.velocity = 5
        self.damage = 20
        
    def update(self, camerax, elapsed):
        if self.direction == LEFT:
            self.pos.left -= self.velocity
        else:
            self.pos.left += self.velocity
            
        self.rect.left = self.pos.left - camerax