#Cleanse
#
#copyright 2008 Programmer Art Studio
#
#released under GNU General Public License"""

VERSION = "0.01"

try:
    import sys
    import pygame
    from pygame.locals import *
    import game
    
except ImportError, err:
    print "Couldn't load module. %s" %(err)
    sys.exit(2)
    
def main():
    """Game setup and start loop"""
    pygame.init()
    screen = pygame.display.set_mode((640,480))
    pygame.display.set_caption("Cleanse")
    
    clock = pygame.time.Clock()
    gm = game.game(screen)
    
    while 1:
        elapsed = clock.tick(60)
        
        for event in pygame.event.get():
            if event.type == QUIT:
                return
            elif event.type == KEYDOWN:
                gm.input.processKeyDown(event)
            elif event.type == KEYUP:
                gm.input.processKeyUp(event)
            elif event.type == MOUSEBUTTONDOWN:
                gm.input.mouseDown(event)
            elif event.type == MOUSEBUTTONUP:
                gm.input.mouseUp(event)
        
        gm.update(elapsed)
        gm.draw()
        pygame.display.flip()
            
